> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook endpoints

> Returns a paginated list of the account's webhook endpoints. Filter with `status` to return only `active` or `disabled` endpoints.

Webhook endpoints are the current generation of Kit webhooks: one endpoint subscribes to many [event types](/webhooks/event-types) and receives signed, automatically retried deliveries. They supersede the [legacy Webhooks](/api-reference/webhooks-legacy/list-webhooks) resource — which keeps working — and are the right choice for all new integrations. Start with the [webhooks guides](/webhooks/overview).



## OpenAPI

````yaml /api-reference/v4.json get /v4/webhook_endpoints
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/webhook_endpoints:
    get:
      tags:
        - Webhooks
      summary: List webhook endpoints
      description: >-
        Returns a paginated list of the account's webhook endpoints. Filter with
        `status` to return only `active` or `disabled` endpoints.


        Webhook endpoints are the current generation of Kit webhooks: one
        endpoint subscribes to many [event types](/webhooks/event-types) and
        receives signed, automatically retried deliveries. They supersede the
        [legacy Webhooks](/api-reference/webhooks-legacy/list-webhooks) resource
        — which keeps working — and are the right choice for all new
        integrations. Start with the [webhooks guides](/webhooks/overview).
      parameters:
        - name: after
          description: To fetch next page of results, use `?after=<end_cursor>`
          in: query
          required: false
          schema:
            nullable: true
        - name: before
          description: To fetch previous page of results, use `?before=<start_cursor>`
          in: query
          required: false
          schema:
            nullable: true
        - name: include_total_count
          description: >-
            Set to `true` to include the `total_count` in the response. This
            option can cause slow responses; if paging through results, request
            it only on the first page and reuse the value for subsequent pages.
          in: query
          required: false
          schema:
            type: boolean
          example: false
        - name: per_page
          description: Number of results per page. Default 500, maximum 1000.
          in: query
          required: false
          schema:
            nullable: true
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - active
              - disabled
          description: 'Filter endpoints by status. One of: `active`, `disabled`.'
      responses:
        '200':
          description: Returns a paginated list of webhook endpoints
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook_endpoints:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
                        url:
                          type: string
                        events:
                          type: array
                          items:
                            type: string
                        status:
                          type: string
                        source:
                          type: string
                        description:
                          type: string
                        created_by_app:
                          nullable: true
                        created_at:
                          type: string
                        previous_secret_expires_at:
                          nullable: true
                      required:
                        - id
                        - name
                        - url
                        - events
                        - status
                        - source
                        - description
                        - created_by_app
                        - created_at
                        - previous_secret_expires_at
                  pagination:
                    type: object
                    properties:
                      has_previous_page:
                        type: boolean
                      has_next_page:
                        type: boolean
                      start_cursor:
                        type: string
                      end_cursor:
                        type: string
                      per_page:
                        type: integer
                    required:
                      - has_previous_page
                      - has_next_page
                      - start_cursor
                      - end_cursor
                      - per_page
                required:
                  - webhook_endpoints
                  - pagination
              example:
                webhook_endpoints:
                  - id: 2
                    name: My webhook
                    url: https://hooks.example.com/incoming
                    events:
                      - custom_field.created
                      - subscriber.created
                    status: active
                    source: creator
                    description: A test webhook
                    created_by_app: null
                    created_at: '2023-02-17T11:43:55Z'
                    previous_secret_expires_at: null
                pagination:
                  has_previous_page: false
                  has_next_page: false
                  start_cursor: WzJd
                  end_cursor: WzJd
                  per_page: 500
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````

## Related topics

- [List webhooks](/api-reference/webhooks-legacy/list-webhooks.md)
- [Update a webhook endpoint](/api-reference/webhooks/update-a-webhook-endpoint.md)
- [Create a webhook endpoint](/api-reference/webhooks/create-a-webhook-endpoint.md)
- [Webhooks overview](/webhooks/overview.md)
- [Get a webhook endpoint](/api-reference/webhooks/get-a-webhook-endpoint.md)
